﻿@charset "UTF-8";

/* CSS Document */

/* Hidden claims details column */
td.emptycell,
#claims-details #service-date,
#claims-details .service-date,
#claims-details #amount-eligible,
#claims-details .amount-eligible,
#claims-details #percent-paid,
#claims-details .percent-paid,
#claims-details #deductible,
#claims-details .deductible,
#enter-expenses #dental-tooth-surfaces,
#enter-expenses .dental-tooth-surfaces,
#enter-expenses #dental-dentists-fee,
#enter-expenses .dental-dentists-fee,
#enter-expenses #dental-laboratory-charge,
#enter-expenses .dental-laboratory-charge,
#enter-expenses #pharma-quantity,
#enter-expenses .pharma-quantity,
#enter-expenses #pharma-quantity-type,
#enter-expenses .pharma-quantity-type,
#enter-expenses #pharma-refill,
#enter-expenses .pharma-refill,
#enter-expenses #pharma-cost-of-drug,
#enter-expenses .pharma-cost-of-drug,
#enter-expenses #tsa-expense-detail,
#enter-expenses .tsa-expense-detail,
#enter-expenses #group2-length-of-visit,
#enter-expenses .group2-length-of-visit {
    height: 0;
    overflow: hidden;
    padding: 0;
    display: none;
}

.responsive td.totalCell:before {
	content: attr(data-title);
}

@media only screen and (max-width: 1023px)
{
	/* Force table to not be like tables anymore */
    table.drug-responsive, .drug-responsive thead, .drug-responsive tbody, .drug-responsive th, .drug-responsive td, .drug-responsive tr, .drug-responsive tfoot {
        display: block;
    }

	/* Hide table headers (but not display: none;, for accessibility) */
    .drug-responsive thead tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }

    .drug-responsive tr {
        border-bottom: 2px solid #ccc;
    }

    .drug-responsive td {
        /* Behave  like a "row" */
        border: none;
        /*border-bottom: 1px solid #eee;*/
        position: relative;
        padding-left: 50%;
        white-space: normal;
        text-align: left;
    }

    .drug-responsive td:before {
        /* Now like a table header */
        position: absolute;
        /* Top/left values mimic padding */
        top: 2px;
        left: 6px;
        width: 45%;
        padding-right: 10px;
        white-space: normal;
        text-align: left;
        font-weight: bold;
    }

    /* Label the data */
    .drug-responsive td:before {
        content: attr(data-title);
    }

	.drug-responsive td.whiteSpaceNormal:before {
        white-space: normal;
    }
}

@media only screen and (max-width: 767px) {
    /* Force table to not be like tables anymore */
    table.responsive, .responsive thead, .responsive tbody, .responsive th, .responsive td, .responsive tr {
        display: block;
    }

    /* Hide table headers (but not display: none;, for accessibility) */
    .responsive thead tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }

    .responsive tr {
        border-bottom: 2px solid #ccc;
    }

    .responsive td {
        /* Behave  like a "row" */
        border: none;
        /*border-bottom: 1px solid #eee;*/
        position: relative;
        padding-left: 50%;
        white-space: normal;
        text-align: left;
    }

    .responsive td:before {
        /* Now like a table header */
        position: absolute;
        /* Top/left values mimic padding */
        top: 2px;
        left: 6px;
        width: 45%;
        padding-right: 10px;
        white-space: normal;
        text-align: left;
        font-weight: bold;
    }

    /* Label the data */
    .responsive td:before {
        content: attr(data-title);
    }

	.responsive td.whiteSpaceNormal:before {
        white-space: normal;
    }
}

@media only screen and (min-width: 767px) {
    td.emptycell,
    #most-recent-claims #ecs,
    #most-recent-claims .ecs,
    #claims-details #service-date,
    #claims-details .service-date,
    #claims-details #amount-eligible,
    #claims-details .amount-eligible,
    #claims-details #percent-paid,
    #claims-details .percent-paid,
    #claims-details #deductible,
    #claims-details .deductible,
    #enter-expenses #dental-tooth-surfaces,
    #enter-expenses .dental-tooth-surfaces,
    #enter-expenses #dental-dentists-fee,
    #enter-expenses .dental-dentists-fee,
    #enter-expenses #dental-total-charges,
    #enter-expenses .dental-total-charges,
    #enter-expenses #pharma-quantity,
    #enter-expenses .pharma-quantity,
    #enter-expenses #pharma-quantity-type,
    #enter-expenses .pharma-quantity-type,
    #enter-expenses #pharma-refill,
    #enter-expenses .pharma-refill,
    #enter-expenses #pharma-cost-of-drug,
    #enter-expenses .pharma-cost-of-drug,
    #enter-expenses #group2-length-of-visit,
    #enter-expenses .group2-length-of-visit,
    #enter-expenses #tsa-expense-detail,
    #enter-expenses .tsa-expense-detail {
        display: table-cell;
    }
}

@media only screen and (min-width: 1024px) {
    /*Make the following columns appear in 1024px*/
    td.emptycell,
    #most-recent-claims #ecs,
    #most-recent-claims .ecs,
    #claims-details #service-date,
    #claims-details .service-date,
    #claims-details #amount-eligible,
    #claims-details .amount-eligible,
    #claims-details #percent-paid,
    #claims-details .percent-paid,
    #claims-details #deductible,
    #claims-details .deductible,
    #enter-expenses #dental-tooth-surfaces,
    #enter-expenses .dental-tooth-surfaces,
    #enter-expenses #dental-dentists-fee,
    #enter-expenses .dental-dentists-fee,
	#enter-expenses #dental-laboratory-charge,
	#enter-expenses .dental-laboratory-charge,
    #enter-expenses #dental-total-charges,
    #enter-expenses .dental-total-charges,
    #enter-expenses #pharma-quantity,
    #enter-expenses .pharma-quantity,
    #enter-expenses #pharma-quantity-type,
    #enter-expenses .pharma-quantity-type,
    #enter-expenses #pharma-refill,
    #enter-expenses .pharma-refill,
    #enter-expenses #pharma-cost-of-drug,
    #enter-expenses .pharma-cost-of-drug,
    #enter-expenses #group2-length-of-visit,
    #enter-expenses .group2-length-of-visit,
    #enter-expenses #tsa-expense-detail,
    #enter-expenses .tsa-expense-detail {
        display: table-cell;
    }
}
